> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oxenty.api.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Enviar Sticker

> Envia um sticker para um número WhatsApp

Envia um sticker para um contato ou grupo. O sticker deve estar em formato **WebP**.

## Request Body

<ParamField body="sessionId" type="string" required>
  ID da sessão WhatsApp.
</ParamField>

<ParamField body="to" type="string" required>
  Número do destinatário (ex: `5511999999999`) ou JID de grupo.
</ParamField>

<ParamField body="sticker" type="string" required>
  Sticker em formato base64 ou URL. Deve ser formato **WebP**.
</ParamField>

<ParamField body="isAnimated" default="false" type="boolean">
  Se é um sticker animado.
</ParamField>

## Resposta

<ResponseField name="messageId" type="string">
  ID único da mensagem enviada.
</ResponseField>

<ResponseField name="status" type="string">
  Status do envio (`sent`, `pending`).
</ResponseField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl -X POST "https://api.oxenty.api.br/api/messages/sticker" \
    -H "X-API-Key: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "sessionId": "550e8400-e29b-41d4-a716-446655440000",
      "to": "5511999999999",
      "sticker": "https://example.com/sticker.webp",
      "isAnimated": false
    }'
  ```

  ```typescript TypeScript theme={"system"}
  const result = await client.messages.sendSticker({
    sessionId: '550e8400-e29b-41d4-a716-446655440000',
    to: '5511999999999',
    sticker: 'https://example.com/sticker.webp',
    isAnimated: false,
  });
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={"system"}
  {
    "messageId": "3EB0A1B2C3D4E5F6",
    "status": "sent",
    "timestamp": "2024-01-15T10:30:00.000Z"
  }
  ```
</ResponseExample>

<Warning>
  * Formato obrigatório: **WebP**
  * Tamanho máximo: **100KB** (estático) ou **500KB** (animado)
  * Dimensões: **512x512** pixels
</Warning>
